3 4 7
0 2 TRIANGLE BLUE 1
1 0 CROSS RED 2
1 1 CROSS YELLOW 3
1 2 CROSS GREEN 1
1 3 CROSS BLUE 4
2 2 CIRCLE RED 1
2 3 CROSS BLUE 2
CROSS BLUE 3
SQUARE YELLOW 1
CIRCLE RED 4
TRIANGLE GREEN 2
1 1 1
0 0 CROSS YELLOW 3
CIRCLE RED 1
TRIANGLE GREEN 2
CROSS GREEN 1
TRIANGLE BLUE 1
2 2 4
0 0 CROSS BLUE 1
0 1 CIRCLE GREEN 1
1 0 TRIANGLE BLUE 1
1 1 SQUARE YELLOW 1
CIRCLE RED 2
TRIANGLE GREEN 2
CROSS GREEN 2
SQUARE BLUE 2
4 3 7
0 2 CIRCLE BLUE 2
1 1 CIRCLE RED 4
1 2 CIRCLE BLUE 4
2 0 CROSS YELLOW 2
2 1 SQUARE GREEN 4
2 2 CIRCLE BLUE 3
3 0 CROSS YELLOW 3
CIRCLE GREEN 1
SQUARE GREEN 1
CROSS YELLOW 1
TRIANGLE RED 1
5 4 10
0 3 CIRCLE BLUE 2
1 2 CIRCLE RED 4
1 3 CIRCLE BLUE 4
2 0 TRIANGLE RED 1
2 1 CROSS YELLOW 2
2 2 SQUARE GREEN 4
2 3 CIRCLE BLUE 3
3 0 CROSS YELLOW 1
3 1 CROSS YELLOW 3
4 0 CIRCLE GREEN 1
SQUARE GREEN 1
CIRCLE RED 2
TRIANGLE RED 4
SQUARE RED 3
4 4 10
0 0 SQUARE GREEN 2
0 1 SQUARE GREEN 3
0 2 SQUARE GREEN 1
1 0 CIRCLE GREEN 4
1 2 CIRCLE GREEN 3
1 3 CIRCLE GREEN 2
2 0 TRIANGLE GREEN 3
2 1 TRIANGLE GREEN 4
2 2 TRIANGLE GREEN 2
3 1 CROSS GREEN 2
CIRCLE GREEN 1
SQUARE BLUE 1
TRIANGLE BLUE 2
SQUARE YELLOW 4
4 3 12
0 0 SQUARE GREEN 3
0 1 SQUARE GREEN 2
0 2 SQUARE GREEN 1
1 0 CIRCLE GREEN 3
1 1 CIRCLE GREEN 2
1 2 CIRCLE GREEN 1
2 0 TRIANGLE GREEN 3
2 1 TRIANGLE GREEN 2
2 2 TRIANGLE GREEN 1
3 0 CROSS GREEN 3
3 1 CROSS GREEN 2
3 2 CROSS GREEN 1
TRIANGLE GREEN 4
SQUARE GREEN 4
CROSS GREEN 4
CIRCLE GREEN 4
5 2 6
0 1 TRIANGLE BLUE 4
1 1 CIRCLE BLUE 3
2 0 SQUARE GREEN 1
2 1 SQUARE BLUE 1
3 0 CIRCLE GREEN 1
4 0 TRIANGLE GREEN 1
CROSS RED 1
CIRCLE RED 4
CROSS GREEN 1
SQUARE RED 3
4 4 9
0 3 TRIANGLE GREEN 4
1 1 TRIANGLE RED 1
1 2 CIRCLE BLUE 2
1 3 CROSS GREEN 3
2 1 CROSS YELLOW 2
2 3 CIRCLE GREEN 2
3 0 SQUARE GREEN 4
3 1 SQUARE GREEN 3
3 2 SQUARE GREEN 2
SQUARE GREEN 1
SQUARE RED 1
SQUARE YELLOW 1
SQUARE BLUE 1
4 4 9
0 3 TRIANGLE GREEN 4
1 1 TRIANGLE RED 1
1 2 CIRCLE BLUE 2
1 3 CROSS GREEN 3
2 1 CROSS YELLOW 2
2 3 CIRCLE GREEN 2
3 0 SQUARE GREEN 4
3 1 SQUARE GREEN 3
3 2 SQUARE GREEN 2
TRIANGLE YELLOW 1
CIRCLE RED 4
SQUARE GREEN 1
TRIANGLE BLUE 4
4 4 11
0 0 TRIANGLE YELLOW 1
0 1 CROSS RED 2
0 2 SQUARE BLUE 3
0 3 CIRCLE GREEN 4
1 0 TRIANGLE YELLOW 2
1 3 SQUARE GREEN 3
2 0 TRIANGLE YELLOW 3
2 3 CROSS GREEN 2
3 0 TRIANGLE YELLOW 4
3 1 TRIANGLE BLUE 3
3 2 TRIANGLE RED 2
CIRCLE BLUE 1
SQUARE YELLOW 1
CROSS RED 1
TRIANGLE GREEN 1
4 3 12
0 0 SQUARE YELLOW 4
0 1 SQUARE RED 4
0 2 SQUARE GREEN 4
1 0 CIRCLE YELLOW 4
1 1 CIRCLE RED 4
1 2 CIRCLE GREEN 4
2 0 TRIANGLE YELLOW 4
2 1 TRIANGLE RED 4
2 2 TRIANGLE GREEN 4
3 0 CROSS YELLOW 4
3 1 CROSS RED 4
3 2 CROSS GREEN 4
CROSS BLUE 4
SQUARE BLUE 4
TRIANGLE BLUE 4
CIRCLE BLUE 4
0 0 0